"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("mocha");
var chai_1 = require("chai");
var app_composition_1 = require("./composition/app.composition");
var website_factory_1 = require("./website-factory");
var models_1 = require("./models");
var website_1 = require("./website");
describe('ShamanFactory', function () {
    beforeEach(function () {
        app_composition_1.IoC.snapshot();
    });
    afterEach(function () {
        app_composition_1.IoC.restore();
    });
    it('ShamanFactory should return a website', function () {
        var adapter = new models_1.AdapterConfig();
        adapter.module = '../adapters/json-repo.adapter';
        adapter.name = "JsonRepoAdapter";
        adapter.configuration = { models: [] };
        var subject = website_factory_1.WebsiteFactory(new models_1.WebsiteConfig({ adapter: adapter }));
        chai_1.expect(subject instanceof website_1.Website).to.be.true;
    });
});
//# sourceMappingURL=website-factory.spec.js.map